# Mylibrary.bookshelves: clearVolumes

**Requires [authorization](https://developers.google.com/books/docs/v1/reference/mylibrary/bookshelves/clearVolumes#auth)**

Clears all volumes from a bookshelf.
[Try it now](https://developers.google.com/books/docs/v1/reference/mylibrary/bookshelves/clearVolumes#try-it).

## Request

### HTTP Request

```
POST https://www.googleapis.com/books/v1/mylibrary/bookshelves/shelf/clearVolumes
```

### Parameters

| Parameter Name | Value | Description |
|---|---|---|
| **Required Parameters** |||
| `shelf` | `string` | ID of bookshelf from which to remove a volume. |
| **Optional Parameters** |||
| `source` | `string` | String to identify the originator of this request. |

### Authorization

This request requires authorization with at least one of the following scopes ([read more about authentication and authorization](https://developers.google.com/books/docs/v1/using#auth)).

| Scope |
|---|
| `https://www.googleapis.com/auth/books` |

### Request Body

Do not supply a request body with this method.

## Response

If successful, this method returns an empty response body.

## Try It!


Use the explorer below to call this method on live data and see the response.